> ## Documentation Index
> Fetch the complete documentation index at: https://docs.otterly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List prompts for a cited URL



## OpenAPI

````yaml https://data.otterly.ai/v1/openapi.json get /v1/reports/brand/{reportId}/citations/prompts
openapi: 3.0.0
info:
  title: Otterly Public API
  version: 1.0.0
servers:
  - url: https://data.otterly.ai
security: []
tags:
  - name: Engines
  - name: Workspaces
  - name: Brand Reports
  - name: Audits
  - name: Accounts
paths:
  /v1/reports/brand/{reportId}/citations/prompts:
    get:
      tags:
        - Brand Reports
      summary: List prompts for a cited URL
      parameters:
        - schema:
            type: string
            minLength: 1
            example: 01HX7K2YV9D3M8N0G6Q5R4S3T2
            description: Brand report identifier.
          required: true
          description: Brand report identifier.
          name: reportId
          in: path
        - schema:
            type: string
            minLength: 1
            description: Cited URL to fetch prompts for. URL-encoded.
            example: https://example.com/guides/best-flat-feet-running-shoes
          required: true
          description: Cited URL to fetch prompts for. URL-encoded.
          name: url
          in: query
        - schema:
            type: string
            minLength: 1
            description: Start date for the lookup window (inclusive).
            example: '2025-01-01'
          required: true
          description: Start date for the lookup window (inclusive).
          name: startDate
          in: query
        - schema:
            type: string
            minLength: 1
            description: End date for the lookup window (inclusive).
            example: '2025-01-31'
          required: true
          description: End date for the lookup window (inclusive).
          name: endDate
          in: query
        - schema:
            type: string
            minLength: 1
            description: >-
              Country code to filter by. Lowercase ISO 3166-1 alpha-2; use `uk`
              for the United Kingdom.
            example: us
          required: true
          description: >-
            Country code to filter by. Lowercase ISO 3166-1 alpha-2; use `uk`
            for the United Kingdom.
          name: country
          in: query
        - schema:
            anyOf:
              - type: string
                enum:
                  - chatgpt
                  - google
                  - perplexity
                  - copilot
                  - google_ai_mode
                  - gemini
                  - claude
                description: AI engine identifier.
                example: chatgpt
              - type: array
                items:
                  type: string
                  enum:
                    - chatgpt
                    - google
                    - perplexity
                    - copilot
                    - google_ai_mode
                    - gemini
                    - claude
                  description: AI engine identifier.
                  example: chatgpt
            description: >-
              Optional. AI engine(s) to filter by. Repeat the param or pass a
              single value.
          required: false
          description: >-
            Optional. AI engine(s) to filter by. Repeat the param or pass a
            single value.
          name: engines
          in: query
        - schema:
            type: string
            description: Optional. Filter prompts by tag id.
          required: false
          description: Optional. Filter prompts by tag id.
          name: tagId
          in: query
      responses:
        '200':
          description: A list of prompts that cited the given URL.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiBrandReportCitationPromptsList'
        '400':
          description: Validation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiValidationErrorResponse'
        '401':
          description: Unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiErrorResponse'
        '403':
          description: Forbidden.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiErrorResponse'
        '404':
          description: Report not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    PublicApiBrandReportCitationPromptsList:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/PublicApiBrandReportCitationPromptItem'
        paging:
          $ref: '#/components/schemas/PublicApiOffsetPaging'
      required:
        - items
        - paging
      example:
        items:
          - id: 01HXP1DRTM5G8Z2N3KQ7VAW4PA
            prompt: best running shoes for flat feet
            engines:
              - chatgpt
              - perplexity
            brandMentioned: 1
        paging:
          limit: 1
          offset: 0
    PublicApiValidationErrorResponse:
      type: object
      properties:
        message:
          type: string
        target:
          type: string
        errors:
          type: array
          items:
            type: object
            properties:
              path:
                type: string
              message:
                type: string
              code:
                type: string
            required:
              - path
              - message
              - code
      required:
        - message
        - target
        - errors
      example:
        message: Validation failed
        target: query
        errors:
          - path: country
            message: Required
            code: invalid_type
    PublicApiErrorResponse:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      example:
        message: Report not found
    PublicApiBrandReportCitationPromptItem:
      type: object
      properties:
        id:
          type: string
          minLength: 1
          example: 01HX7K2YV9D3M8N0G6Q5R4S3T2
        prompt:
          type: string
        engines:
          type: array
          items:
            type: string
          description: AI engines this prompt was issued against.
        brandMentioned:
          type: number
      required:
        - id
        - prompt
        - engines
        - brandMentioned
      example:
        id: 01HXP1DRTM5G8Z2N3KQ7VAW4PA
        prompt: best running shoes for flat feet
        engines:
          - chatgpt
          - perplexity
        brandMentioned: 1
    PublicApiOffsetPaging:
      type: object
      properties:
        limit:
          type: integer
          minimum: 1
        offset:
          type: integer
          minimum: 0
      required:
        - limit
        - offset
      example:
        limit: 25
        offset: 0
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Provide your API key as a Bearer token: `Authorization: Bearer
        YOUR_API_KEY`.

````